<?php
error_reporting(E_ALL ^ E_NOTICE);
// Permite la conexion desde cualquier origen
header("Access-Control-Allow-Origin: *");
// Permite la ejecucion de los metodos
header("Access-Control-Allow-Methods: GET, POST, PUT, DELETE");
// Se incluye el archivo que contiene la clase generica
include_once '../conexion.php';
$bodyRequest = file_get_contents("php://input");
// Decodifica el cuerpo de la solicitud y lo guarda en un array de PHP
$datos = json_decode($bodyRequest, true);

$sql = "Call Anular_GuiaRT($datos[0], $datos[1], $datos[2], $datos[3])";

if ($result = mysqli_query($conn, $sql)) {
    if ($datos[1] == 1) {
        $resultado = array();
        $resultado['ESTADO'] = "1";
        $resultado['MENSAJE'] = "SE ANULO CORRECTAMENTE";
    } else {
        $resultado = array();
        $resultado['ESTADO'] = "0";
        $resultado['MENSAJE'] = "SE RECUPERO CORRECTAMENTE";
    }
} else {
    echo "ERROR: Could not able to execute the query."; 
}

mysqli_close($conn);

// Devolver la respuesta como un objeto JSON
header("HTTP/1.1 200 OK");
header("Content-Type: application/json; charset=UTF-8");
echo json_encode($resultado, JSON_PRETTY_PRINT);
?>
